Subject: Re: [PATCH] git-svn: Make it scream by minimizing temp files

From: Eric Wong <[email-masked]>
Date: Sun, 10 Aug 2008 01:09:56 -0700

Marcus Griep <[email-masked]> wrote:
> Also, I came up with one more optimization inside 'sub close_file',

Would that be truncating the file immediately after we're done using it?

Previously IO->new_tmpfile would unlink the file immediately after it
got created; so closing the file descriptor immediately after use would
allow the OS it to bypass the actual writeout to disk on an asynchronous
filesystem.

-- 
Eric Wong